package org.cloudbus.cloudsim.codes.minispanningtree;

/**
 * ClassName Edge
 * Description
 * Create by HW
 * Date 2022/5/16 17:47
 */
public class Edge {
    private EdgeNode edgeNode1;
    private EdgeNode EdgeNode2;
    private int weight;

    public Edge() {
    }

    public Edge(EdgeNode edgeNode1, EdgeNode edgeNode2, int weight) {
        this.edgeNode1 = edgeNode1;
        EdgeNode2 = edgeNode2;
        this.weight = weight;
    }

    public EdgeNode getEdgeNode1() {
        return edgeNode1;
    }

    public void setEdgeNode1(EdgeNode edgeNode1) {
        this.edgeNode1 = edgeNode1;
    }

    public EdgeNode getEdgeNode2() {
        return EdgeNode2;
    }

    public void setEdgeNode2(EdgeNode edgeNode2) {
        EdgeNode2 = edgeNode2;
    }

    public int getWeight() {
        return weight;
    }

    public void setWeight(int weight) {
        this.weight = weight;
    }

    @Override
    public String toString() {
        return "Edge{" +
                "edgeNode1=" + edgeNode1 +
                ", EdgeNode2=" + EdgeNode2 +
                ", weight=" + weight +
                '}';
    }
}
